当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [分享]在kernel 2.6.20下安装Maple10
帖子发表于 : 2007-06-03 15:18 
头像

注册: 2007-05-29 18:12
帖子: 76
地址: THU
送出感谢: 0 次
接收感谢: 0 次
1 安装Maple10 在Ubuntu Fiesty2.6.20下

Maple10在高版本的kernel下安装会出现好多这样的错误:
代码:
error while loading shared libraries libc.so.6


而Maple11在版本较高的kernel下安装就不会出现这么多问题了。但是,今天我们就要解决这个问题!
1.1 hexedit 修改
代码:
sudo apt-get install hexeditor


将所有的
代码:
export LD_ASSUME_KERNEL


改成

代码:
#xport LD_ASSUME_KERNEL


hexedit 进入后,按Tab切换到ASCII码列中,按’/’或 Ctrl-S来查找
export LD_ASSUME_KERNEL 然后在e上面按一下#,Ctrl-X保存退出即可。


1.2 sed替换

代码:
mv MapleInstaller.bin MapleInstaller.bin.pak
cat MapleInstaller.bin.pak | sed “s/export LD_ASSUME_KERNEL/#xport LD_ASSUME_KERNEL/” > LinuxInstaller.bin

1.3 安装

代码:
sudo chmod +x LinuxInstaller.bin
sudo ./LinuxInstaller.bin

然后把Liscence文件copy到安装目录下的license文件夹即可。

后记,这种方法对许多发行版都有效,不仅仅是Ubuntu哦。


_________________
星火燎原
http://www.fire3.cn/ 星火燎原--我的blog,关于Ubuntu,Linux,Programming,IT&Web


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译